Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189937 - Review Request: unifdef
Summary: Review Request: unifdef
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FC-ACCEPT 190362
TreeView+ depends on / blocked
 
Reported: 2006-04-25 21:58 UTC by David Woodhouse
Modified: 2013-01-10 01:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-26 20:16:21 UTC


Attachments (Terms of Use)

Description David Woodhouse 2006-04-25 21:58:01 UTC
Spec URL: http://david.woodhou.se/unifdef.spec
SRPM URL: http://david.woodhou.se/unifdef-1.171-1.src.rpm
Description: 
Unifdef is useful for removing ifdefed lines from a file while otherwise
leaving the file alone. Unifdef acts on #ifdef, #ifndef, #else, and #endif
lines, and it knows only enough about C and C++ to know when one of these
is inactive because it is inside a comment, or a single or double quote.

Comment 1 David Woodhouse 2006-04-25 22:10:04 UTC
The plan is to use this when building the kernel package, which is why it's
proposed for Core, not Extras.

Comment 2 Jesse Keating 2006-04-25 22:10:46 UTC
I'll review this.

Comment 3 Jesse Keating 2006-04-26 14:31:36 UTC
Bad: 
- Source should be a URL to the source
- build root should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Good:
- rpmlint is silent.
- builds in mock for i386 / x86_64

Question:  How usable is this for kernel building right now?  There is some
pushback to not have it in Core until it is actually usable/needed to build the
kernel and that Extras would be a good place to put it until such time as it is
needed.  Your thoughts?

Comment 4 David Woodhouse 2006-04-26 14:58:19 UTC
The source was obtained from FreeBSD's cvsweb. You can have a CVS pserver URL,
or you can have the name of the tarball I prepared. I prefer the latter.

Fixed buildroot in 1.171-2




Comment 5 David Woodhouse 2006-04-26 15:01:39 UTC
I committed a change to the rawhide kernel this morning which uses the new 'make
headers_install' rules to generate kernel headers from the kernel tree. It's
conditional, and turned off right now because it BuildRequires unifdef, which we
don't have yet.

Comment 6 Jesse Keating 2006-04-26 15:11:20 UTC
Ah, good point about the source issue.  Everything else looks good now, passes
review.  Please follow the next steps on the PackageListProcess.

Comment 7 David Woodhouse 2006-04-26 20:16:21 UTC
Built in rawhide. Thanks.


Note You need to log in before you can comment on or make changes to this bug.